> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-efa94f7d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get doctors

> Fetches a list of doctors matching the given search criteria.



## OpenAPI

````yaml get /abdm/uhi/v1/physical-consultation/search/doctors
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/physical-consultation/search/doctors:
    get:
      description: Fetches a list of doctors matching the given search criteria.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsDoctorsSearchResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsDoctorsSearchResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ModelsSearchResponse'
          type:
            - array
            - 'null'
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ModelsSearchResponse:
      properties:
        doctor_name:
          description: Full name of the doctor
          type: string
        education:
          description: Educational qualifications of the doctor
          type: string
        facility_id:
          description: Unique identifier of the healthcare facility
          type: string
        gender:
          description: Gender of the doctor (e.g., Male, Female, Other)
          type: string
        hpr_id:
          description: Unique Health Professional Registry (HPR) ID of the doctor
          type: string
        image:
          description: Profile image URL of the doctor
          type: string
        languages:
          description: Languages spoken by the doctor
          items:
            type: string
          type: array
        provider_address:
          description: Address of the healthcare facility or hospital
          type: string
        provider_city:
          description: City where the provider is located
          type: string
        provider_country:
          description: Country where the provider is located
          type: string
        provider_gps:
          description: GPS coordinates of the healthcare facility
          type: string
        provider_name:
          description: Name of the healthcare provider or hospital
          type: string
        specialities:
          description: Specialities or fields of expertise of the doctor
          items:
            type: string
          type: array
        transaction_id:
          description: Unique transaction ID for tracking the search response
          type: string
        year_of_experience:
          description: Number of years of professional experience
          type: integer
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````